> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt
> Use this file to discover all available pages before exploring further.
# List push devices
> Used to get detailed information of the push actions sent to individual devices or profiles.
Simple campaigns will send out a single batch of messages at once. However, more complex campaigns will send out batches of messages at varying intervals over the lifetime of the campaign. For example, a location-based campaign can send single notifications to individual devices as they enter locations while the campaign is running.
Each individual event for a campaign where messages are sent is known as a push action.
Note: This endpoint allows pulling information for device and profile-based campaigns (such as push, on-site, email, SMS).
## OpenAPI ````json POST /list/push-devices { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/list/push-devices": { "post": { "summary": "List push devices", "description": "Used to get detailed information of the push actions sent to individual devices or profiles.\n\nSimple campaigns will send out a single batch of messages at once. However, more complex campaigns will send out batches of messages at varying intervals over the lifetime of the campaign. For example, a location-based campaign can send single notifications to individual devices as they enter locations while the campaign is running.
\n\nEach individual event for a campaign where messages are sent is known as a push action.
\n\nNote: This endpoint allows pulling information for device and profile-based campaigns (such as push, on-site, email, SMS).
", "operationId": "push-list-devices", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken", "id" ], "properties": { "apptoken": { "type": "string", "description": "Your App token" }, "id": { "type": "integer", "format": "int32", "description": "ID of the push notification" }, "limit": { "type": "integer", "format": "int32", "description": "Used with *offset* for pagination" }, "offset": { "type": "integer", "format": "int32", "description": "Used with *limit* for pagination" } } }, "examples": { "Result": { "value": { "apptoken": "YOUR_APPTOKEN", "condition": [ [ "campaign_id", "=", "YOUR_CAMPAIGN_ID" ], [ "error", "=", "1" ] ], "limit": "50", "offset": "0", "select": [ "campaign_id", "action_id", "create_time", "device_id", "error_message" ] } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "type": "object", "properties": { "code": { "type": "integer", "example": "200", "default": "0" }, "success": { "type": "boolean", "example": "true", "default": "true" }, "data": { "type": "array", "items": { "type": "object", "properties": { "action_id": { "type": "integer", "example": "21714179", "default": "0" }, "campaign_id": { "type": "integer", "example": "245624", "default": "0" }, "create_time": { "type": "integer", "example": "1485883608", "default": "0" }, "device_id": { "type": "integer", "example": "17186391", "default": "0" }, "error_message": { "type": "string", "example": "Not personalized" } } } } } }, "examples": { "Result": { "value": { "code": "200", "data": [ { "action_id": "21714179", "campaign_id": "245624", "create_time": "1485883608", "device_id": "17186391", "error_message": "Not personalized" }, { "action_id": "759147", "campaign_id": "245624", "create_time": "1464355910", "device_id": "4599293", "error_message": "Application is Uninstalled" } ], "success": "true" } } } } } }, "400": { "description": "400", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "400", "default": "0" }, "message": { "type": "string", "example": "General error information" }, "errors": { "type": "array", "items": { "type": "object", "properties": { "text": { "type": "array", "items": { "type": "string" } } } } } } }, "examples": { "Result": { "value": { "success": "false", "code": "400", "message": "General error information", "errors": [ { "text": [ "Detailed information about the specific error" ] } ] } } } } } } }, "tags": [ "Message Methods" ] } } } } ````